Page 1 of 1

[SOLVED] install mint cinnamon & xfce 32 bit failed

Posted: Wed Aug 07, 2019 6:19 pm
by pierofrancesco
I have been using mint for quite a while, mainly on old thinkpad T60. Today I installed mint 19.2 on a t60 with a core 2 duo 64. It worked. Then I tried....but failed to install mint 19.2 on a t60 with an old core duo. After a restart the waiting mint logo appeared briefly....but the screen return to black. I know this is a kernel problem because I had quite the same problem with mint 19.1. I know for sure that with the core duo you have to stick to kernel 4.15.0-47.....above that the install do not work....May someone remind me how to get the grub window in that case ( after the waiting mint logo...the screen stays black)

My second point is mint....cinnamon...mate...xfce works wonderfully on these old computers...(32 bit I mean) but the new kernels block the install procedure....Would a limitation to the kernels suitable for the 32 bit in the 32 bit distros be a good Idea. I should mention that more than 30 millions 32 bit computers or laptops...may be more are still in use in Africa...India...China..South America. Please very kind and gentle maiintainers of the 32 bit versions of the distros think to all these people and never argue that these computers are outdated. They might be oudated in NY...LA...London...Paris...Shanghai...Bombay...but they contribute to the daily life of hundreds of millions people

Re: install mint cinnamon & xfce 32 bit failed

Posted: Thu Aug 08, 2019 1:21 am
by kato181
When you say you have a t60 with old core duo is it 32 bit or 64 bit? You can only install 64 bit on a 64 bit system it won't install on 32 bit. But I would expect that you know that. You will find that 32 bit O/S are being slowly being fazed out.

Re: install mint cinnamon & xfce 32 bit failed

Posted: Thu Aug 08, 2019 1:57 pm
by MontyMan
Are there 32-bit versions of all LM flavors? Any LM flavors?

Re: install mint cinnamon & xfce 32 bit failed

Posted: Thu Aug 08, 2019 3:21 pm
by athi
MontyMan wrote:
Thu Aug 08, 2019 1:57 pm
Are there 32-bit versions of all LM flavors? Any LM flavors?
Yes, see link https://linuxmint.com/download.php
pierofrancesco wrote:
Wed Aug 07, 2019 6:19 pm
I have been using mint for quite a while, mainly on old thinkpad T60. Today I installed mint 19.2 on a t60 with a core 2 duo 64. It worked. Then I tried....but failed to install mint 19.2 on a t60 with an old core duo. After a restart the waiting mint logo appeared briefly....but the screen return to black. I know this is a kernel problem because I had quite the same problem with mint 19.1. I know for sure that with the core duo you have to stick to kernel 4.15.0-47.....above that the install do not work....May someone remind me how to get the grub window in that case ( after the waiting mint logo...the screen stays black)

My second point is mint....cinnamon...mate...xfce works wonderfully on these old computers...(32 bit I mean) but the new kernels block the install procedure....Would a limitation to the kernels suitable for the 32 bit in the 32 bit distros be a good Idea. I should mention that more than 30 millions 32 bit computers or laptops...may be more are still in use in Africa...India...China..South America. Please very kind and gentle maiintainers of the 32 bit versions of the distros think to all these people and never argue that these computers are outdated. They might be oudated in NY...LA...London...Paris...Shanghai...Bombay...but they contribute to the daily life of hundreds of millions people
Please boot into live session and run below command in Terminal to put put your system information. This will allow us to better determine issue and corrective actions.

Code: Select all

inxi -Fxzd
I am running Mate 19.2 on a T60 3GB ram without any problem.

Solved install mint cinnamon & xfce 32 bit failed

Posted: Fri Aug 09, 2019 12:28 pm
by pierofrancesco
I solved the problem with installing Mint cinnamon 19 and upgrading to 19.2. But during the upgrade among the list proposed by the update manager I JUST FORBID THE UPGRADE to the last Kernel proposed 4.15.0.50-60......the uname -r command give me 4.15.0-20 generic. Therefore the problem is simple the last versions proposed for Mint Cinnamon (but probably also xfce, Mate) 19.2 32 bit are constructed on a kernel which is probably uncompatible with the Core Duo 2600. I suppose....without certitude that Mint 19 has a compatible kernel (4.15.0-20) rather old which is conserved in the upgrade if you do not accept any kernel update. From my point of view it would help very much do stick to a kernel compatible with the core duo 32 bit in the distros for 32 bit. The first core 2 duo are 64 bit and raise no problem